SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000507supertuxGame Enginepublic2009-09-12 20:242012-09-08 06:03
Reportermattmccutchen2 
Assigned Toocto 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformx86 (Intel, AMD, 32-bit)OSLinuxOS Version2.6
Product Version0.3.2-SVN 
Target VersionFixed in Version0.3.3 
Summary0000507: Clear invincibility, safe_timer, and jump_early_apex when Tux dies
DescriptionIf Tux dies while he is invincible, flashing (safe_timer), or subject to increased gravity (jump_early_apex), he retains these attributes during the dying sequence, which looks weird. I suggest clearing them upon Tux's death.
TagsAttachedFiles
Fixed in GIT revision
Fixed in subversion revision6290
Attached Filespatch file icon reset-upon-player-death.patch [^] (847 bytes) 2009-09-12 22:01 [Show Content]

- Relationships

-  Notes
(0001337)
mattmccutchen2 (administrator)
2009-09-12 22:00

Upon further testing, the problem doesn't seem to occur for invincibility; I see that the code that creates sparkles checks !dying. I thought I had seen it in the past, but I guess I was mistaken.

I will attach a patch that resets the safe_timer and gravity and, for consistency, resets the invincibility upon death instead of checking !dying when creating sparkles.
(0001579)
octo (administrator)
2010-01-30 02:43

I've applied the patch to SVN, thanks :)

- Issue History
Date Modified Username Field Change
2009-09-12 20:24 mattmccutchen2 New Issue
2009-09-12 20:25 mattmccutchen2 Issue Monitored: mattmccutchen2
2009-09-12 22:00 mattmccutchen2 Note Added: 0001337
2009-09-12 22:01 mattmccutchen2 File Added: reset-upon-player-death.patch
2010-01-30 02:43 octo Status new => assigned
2010-01-30 02:43 octo Assigned To => octo
2010-01-30 02:43 octo Fixed in subversion revision => 6290
2010-01-30 02:43 octo Note Added: 0001579
2010-01-30 02:43 octo Status assigned => resolved
2010-01-30 02:43 octo Resolution open => fixed
2010-01-30 03:20 mattmccutchen2 Issue End Monitor: mattmccutchen2
2010-03-07 02:20 octo Status resolved => closed
2010-03-07 02:20 octo Fixed in Version => 0.3.3
2012-09-08 06:03 superdev Tag Attached: AttachedFiles


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker